#ifndef __UNIT_TESTUNITTEST_H_
#define __UNIT_TESTUNITTEST_H_

namespace unit_test {

  class UnitTest {
    protected:
      UnitTest() { /* Empty */ }
      virtual ~UnitTest() { /* Empty */ }
    public:
      virtual int run( int argc, char *argv[] ) = 0;
  };

}

#endif /* __UNIT_TESTUNITTEST_H_ */
